Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#76 Le 20/11/2017, à 12:42

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

krodelabestiole a écrit :

pour /srv/www à la place de /var/www j'ai pas trop d'avis. /srv est peut-être plus distro-agnostique. par contre ça complexifie la mise en place du serveur sur debian et dérivés.

à ce sujet je pense qu'il vaut d'ailleurs mieux laisser le choix de la distro. si c'est vraiment déprécié ça devrait être mis à jour dans une version future par la distro elle-même. donc /var/www pour debian et ubuntu, en tout cas pour le moment.

Hors ligne

#77 Le 20/11/2017, à 12:46

kholo

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

ok merci pour le retour,
faut que je me mette à 17.10... et 18...
une fois fais je revaliderai tout ça...
je rajoute déjà un lien vers ton commentaire

Hors ligne

#78 Le 20/11/2017, à 13:33

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

pour info je viens de mettre à jour la doc concernant l'installation de LAMP via APT : https://doc.ubuntu-fr.org/lamp#methode_ … es_paquets

je pense que c'est assez tout-terrain.

Hors ligne

#79 Le 20/11/2017, à 13:40

Rufus T. Firefly

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

De toutes façons ça ne collera jamais. N'importe quel tuto sera rapidement périmé. Pas dans les grandes lignes, mais dans les détails. Tout comme les équations du second degré. C'est toujours pareil, mais à chaque fois les détails changent. On n'imagine pas un tuto pour les résoudre. En fait, c'est l'idée-même de tuto qui est à revoir.

Quand on veut installer un serveur (ou autre chose) il faut commencer par étudier un minimum ce que c'est, un serveur. Une fois qu'on a compris quels en sont les divers éléments, à quoi sert chacun d'eux, comment ils s'articulent les uns avec les autres, il devient relativement simple d'en installer un, une pièce après l'autre, en testant au fur et à mesure non seulement l'installation, mais aussi le fonctionnement (aussi longtemps que nécessaire pour bien comprendre ce qui se passe).


La provocation est une façon de remettre la réalité sur ses pieds. (Bertolt Brecht)
Il n'y a pas de route royale pour la science et ceux-là seulement ont chance d'arriver à ses sommets lumineux qui ne craignent pas de se fatiguer à gravir ses sentiers escarpés. (Karl Marx)
Il est devenu plus facile de penser la fin du monde que la fin du capitalisme

Hors ligne

#80 Le 20/11/2017, à 13:47

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Rufus T. Firefly a écrit :

De toutes façons ça ne collera jamais.

ben écoute je t'invite à me trouver un système ubuntu ou dérivé avec lequel les commandes indiquées là ne fonctionneraient pas pour installer un stack LAMP.

Hors ligne

#81 Le 20/11/2017, à 13:53

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

argh bon ok il n'y a pas de paquet php sur trusty (ni sur debian) mais ça marche sur toutes les versions depuis xenial

Hors ligne

#82 Le 20/11/2017, à 13:58

Rufus T. Firefly

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

krodelabestiole a écrit :
Rufus T. Firefly a écrit :

De toutes façons ça ne collera jamais.

ben écoute je t'invite à me trouver un système ubuntu ou dérivé avec lequel les commandes indiquées là ne fonctionneraient pas pour installer un stack LAMP.

Sur Debian jessie, maintenu jusqu'en 2020 ( ce n'est donc pas antédiluvien), il n'existe pas de paquet php. C'est php5. Ni d'ailleurs de libapache2-mod-php. C'est aussi libapache2-mod-php5


La provocation est une façon de remettre la réalité sur ses pieds. (Bertolt Brecht)
Il n'y a pas de route royale pour la science et ceux-là seulement ont chance d'arriver à ses sommets lumineux qui ne craignent pas de se fatiguer à gravir ses sentiers escarpés. (Karl Marx)
Il est devenu plus facile de penser la fin du monde que la fin du capitalisme

Hors ligne

#83 Le 20/11/2017, à 14:04

Rufus T. Firefly

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

krodelabestiole a écrit :

argh bon ok il n'y a pas de paquet php sur trusty (ni sur debian) mais ça marche sur toutes les versions depuis xenial

Ce n'est quand même pas bon. Parce qu'à partir de buster (Debian testing) on pourrait avoir php 7.0, fourni par le paquet php, mais aussi par php7.0. Mais comme il s'agit de serveur, on pourrait être tenté par le long terme, et donc utiliser plutôt php 7.1. Et installer par conséquent le paquet php7.1 plutôt que php tout court. Et le reste à l'avenant... La question se posera tôt ou tard...

Dernière modification par Rufus T. Firefly (Le 20/11/2017, à 14:07)


La provocation est une façon de remettre la réalité sur ses pieds. (Bertolt Brecht)
Il n'y a pas de route royale pour la science et ceux-là seulement ont chance d'arriver à ses sommets lumineux qui ne craignent pas de se fatiguer à gravir ses sentiers escarpés. (Karl Marx)
Il est devenu plus facile de penser la fin du monde que la fin du capitalisme

Hors ligne

#84 Le 20/11/2017, à 14:08

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

je parle d'ubuntu et dérivés, pas de debian.

oui sur debian jessie il faut remplacer php par php5 pour tous les noms des paquets (et sur trusty aussi ceci dit).

mais c'est une doc ubuntu, hein, et les scripts sont déjà de moins en moins compatibles php 5 d'une manière générale, donc ça m'étonnerait que tu trouves encore grand chose qui tourne sous php 5 en 2020.
sur ubuntu ces meta paquets ont été mis en place, ce qui laisse envisager une solution pérenne pour l'avenir.

et visiblement depuis stretch il y a aussi un meta paquet php depuis stretch.

Dernière modification par krodelabestiole (Le 20/11/2017, à 14:24)

Hors ligne

#85 Le 20/11/2017, à 14:38

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

ceci dit entre debian et ubuntu il y a une grosse différence de concept entre ces paquets php

xenial a écrit :
apt install php
The following additional packages will be installed:
  php-common php7.0 php7.0-cli php7.0-common php7.0-fpm php7.0-json php7.0-opcache php7.0-readline
stretch a écrit :
apt install php
The following additional packages will be installed:
  apache2 apache2-data apache2-utils libapache2-mod-php7.0 php-common php7.0 php7.0-cli php7.0-common php7.0-json php7.0-opcache php7.0-readline ssl-cert

bref effectivement il y a une grosse différence, c'est étonnant que le paquet php force l'installation d'apache sur debian...
donc mieux vaut s'en tenir à ubuntu
et je me demande comment ils gérent cette situation chez ubuntu, je ne sais pas si ils bloquent ou modifient certains packages de debian...

Hors ligne

#86 Le 26/11/2017, à 10:53

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Bonjour kholo,
Je suis toujours sur l'installation d'un serveur lamp, j'ai donc repris ton tuto et je me suis arrêté à

echo '<?php
   phpinfo();
?>' | sudo tee /var/www/html/test.php

en tapant:http://127.0.0.1/test.php la page PHP Version 7.0.22-0ubuntu0.16.04.1 fonctionne, mais j'ai du mal à aller plus loin, car après tu dis:

sudo apt install php-mbstring php7.0-mbstring php-gettext

et ensuite

NB : 7.0 attention avec les versions voir ce post

et en allant sur ce post et en suivant le reste je suis complètement embrouillé avec toutes les interventions qu'il y a si bien que je ne suis pas allé j'usqu'à l'installation de phpmyadmin
@+

Hors ligne

#87 Le 26/11/2017, à 11:37

bruno

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

@Rufus T. Firefly : tout à fait d'accord avec #79 wink

@krodelabestiole : Je considère que ce que tu observes est un bogue d'Ubuntu (mauvais choix des mainteneurs Ubuntu).

Le paquet PHP est un paquet « factice » qui ne fait que dépendre de php-7.0 (ou plus généralement de la dernière version de PHP).
À son tour le paquet php-7.0 dépend de l'un des trois paquets permettant à un serveur web (Apache) d'interpréter le code php : soit php7.0-cgi, soit php7.0-fpm, soit libapache2-mod-php7.0 (lui même entraînant l'installation d'Apache2).
Ces dépendances sont exactement les mêmes sur Debian et Ubuntu à ceci près que Debian privilégie le paquet libapache2-mod-php7.0, alors qu'Ubuntu privilégie php7.0-fpm. Démonstration :

sur debian 9

$ apt depends php7.0
php7.0
 |Depends: libapache2-mod-php7.0
 |Depends: php7.0-fpm
  Depends: php7.0-cgi
  Depends: php7.0-common

sur Ubuntu 16.04

$ apt depends php7.0
php7.0
 |Dépend: php7.0-fpm
 |Dépend: libapache2-mod-php7.0
  Dépend: php7.0-cgi
  Dépend: php7.0-common (= 7.0.22-0ubuntu0.16.04.1)
  Est en conflit avec: <php5> (<< 5.6.16+dfsg-4~)

L'utilisation d'Apache avec mod_php est la configuration la plus courante et la plus simple à mettre en place, le choix de Debian semble donc logique.
L'utilisation d'Apache avec php-fpm est beaucoup plus performante et sécurisée mais est bien plus complexe à configurer.

Dernière modification par bruno (Le 26/11/2017, à 11:38)

Hors ligne

#88 Le 26/11/2017, à 11:52

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Alors? j'ai un choix pas simple à faire

$ apt depends php7.0
php7.0
 |Depends: libapache2-mod-php7.0
 |Depends: php7.0-fpm
  Depends: php7.0-cgi
  Depends: php7.0-common

ou

$ apt depends php7.0
php7.0
 |Dépend: php7.0-fpm
 |Dépend: libapache2-mod-php7.0
  Dépend: php7.0-cgi
  Dépend: php7.0-common (= 7.0.22-0ubuntu0.16.04.1)
  Est en conflit avec: <php5> (<< 5.6.16+dfsg-4~)

Il me semble que je suis sous

libapache2-mod-php7.0

Hors ligne

#89 Le 26/11/2017, à 12:02

bruno

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

@louis23 : ce que j'ai écrit en #87 ne te concernait pas. C'est juste une explication des différences de comportement entre Debian et Ubuntu.

Pour ton problème concernant phpmyadmin, je t'ai déjà expliqué dans un autre fil ce qu'il fallait faire :
- purger le paquet phpmyadmin :

sudo apt purge phpmyadmin

et répondre OUI aux deux questions posées
- réinstaller phpmyadmin :

sudo apt install phpmyadmin

voir http://doc.ubuntu-fr.org/phpmyadmin

Dernière modification par bruno (Le 26/11/2017, à 12:03)

Hors ligne

#90 Le 26/11/2017, à 12:34

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

En fait il y avait trois questions la dernière me demandait si je voulait supprimer phpmyadmin j'ai dis non tout semble être bien passé

louis@louis-R530-R730-P530:~$ sudo apt purge phpmyadmin
[sudo] Mot de passe de louis : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  dbconfig-common dbconfig-mysql libjs-sphinxdoc libjs-underscore php-gd
  php-gettext php-mbstring php-mcrypt php-phpseclib php-tcpdf php7.0-gd
  php7.0-mbstring php7.0-mcrypt
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  phpmyadmin*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 25,0 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] 
(Lecture de la base de données... 410786 fichiers et répertoires déjà installés.)
Suppression de phpmyadmin (4:4.5.4.1-2ubuntu2) ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Purge des fichiers de configuration de phpmyadmin (4:4.5.4.1-2ubuntu2) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour doc-base (0.10.7) ...
Traitement de 1 fichier de documentation supprimé…
louis@louis-R530-R730-P530:~$ sudo apt install phpmyadmin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
  phpmyadmin
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/3 934 ko dans les archives.
Après cette opération, 25,0 Mo d'espace disque supplémentaires seront utilisés.
Préconfiguration des paquets...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Sélection du paquet phpmyadmin précédemment désélectionné.
(Lecture de la base de données... 409159 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../phpmyadmin_4%3a4.5.4.1-2ubuntu2_all.deb ...
Dépaquetage de phpmyadmin (4:4.5.4.1-2ubuntu2) ...
Traitement des actions différées (« triggers ») pour doc-base (0.10.7) ...
Traitement de 1 fichier de documentation ajouté…
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Paramétrage de phpmyadmin (4:4.5.4.1-2ubuntu2) ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf

Creating config file /etc/dbconfig-common/phpmyadmin.conf with new version

Creating config file /etc/phpmyadmin/config-db.php with new version
granting access to database phpmyadmin for phpmyadmin@localhost: success.
verifying access for phpmyadmin@localhost: success.
creating database phpmyadmin: success.
verifying database phpmyadmin exists: success.
populating database via sql...  done.
dbconfig-common: flushing administrative password
louis@louis-R530-R730-P530:~$ 

Hors ligne

#91 Le 26/11/2017, à 14:19

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

bruno a écrit :

@krodelabestiole : Je considère que ce que tu observes est un bogue d'Ubuntu (mauvais choix des mainteneurs Ubuntu).

ok merci d'avoir clarifié le différence entre les paquets php7.0 sur xenial et sur stretch.

ça n'enlève rien au fait que si on ne précise jamais la version de php dans le nom des paquets, on a un système plus évolutif : vu que les paquets php7.0 ne sont pas marqués en installation manuelle, on peut upgrade d'une version de PHP à l'autre automatiquement lors d'un upgrade majeur du système. Et pour un tuto ou une documentation, les lignes de commandes sont adaptées à toutes les versions récentes d'ubuntu et de debian.
Le point le plus important étant que la pire chose à faire est d'installer une partie des paquets en indiquant la version et l'autre sans comme indiqué dans le tuto du premier post :

kholo a écrit :
sudo apt install php libapache2-mod-php7.0

un upgrade majeur du système donne un LAMP cassé, il y a pas mal d'exemples récents sur ce forum. et une commande de ce type sur un système plus récent comme Arty (PHP 7.1) retournera une erreur, et n'installera pas tous les paquets.


si je comprends bien l'utilisation du signe | dans le retour de apt depends (dépends de machin ou de bidule), alors la ligne de commande pour installer LAMP (avec PHP en module Apache) sur toutes les versions récentes de Ubuntu et de Debian est simplement :

sudo apt install apache2 libapache2-mod-php php mysql-server php-mysql

et après vérification stretch retourne :

The following additional packages will be installed:
apache2-data apache2-utils default-mysql-server galera-3 gawk libaio1 libapache2-mod-php7.0 libcgi-fast-perl libcgi-pm-perl libdbd-mysql-perl libdbi-perl libencode-locale-perl libfcgi-perl libhtml-parser-perl libhtml-tagset-perl libhtml-template-perl libhttp-date-perl libhttp-message-perl libio-html-perl libjemalloc1 liblwp-mediatypes-perl libreadline5 libterm-readkey-perl lsof mariadb-client-10.1 mariadb-client-core-10.1 mariadb-common mariadb-server-10.1 mariadb-server-core-10.1 php-common php7.0 php7.0-cli php7.0-common php7.0-json php7.0-mysql php7.0-opcache php7.0-readline socat ssl-cert

et xenial :

The following additional packages will be installed:
apache2-bin apache2-data apache2-utils libapache2-mod-php7.0 libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libevent-core-2.0-5 libhtml-template-perl liblua5.1-0 mysql-client-5.7 mysql-client-core-5.7 mysql-server-5.7 mysql-server-core-5.7 php-common php7.0 php7.0-cli php7.0-common php7.0-json php7.0-mysql php7.0-opcache php7.0-readline

la version de PHP proposée par la distro (même après upgrade du système), pas de FastCGI, et tout le monde est content !
et c'est exactement la commande que j'ai indiquée dans la doc : https://doc.ubuntu-fr.org/lamp#methode_ … es_paquets


je note au passage que debian installe maintenant mariadb par défaut, j'avais pas remarqué.

Dernière modification par krodelabestiole (Le 26/11/2017, à 14:55)

Hors ligne

#92 Le 26/11/2017, à 16:21

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

J'avoue que pour moi j'ai du mal à suivre je nage en plein, j'ai bien relus plusieurs fois, je pense que apache2 et mysql sont installés tous les deux mais phpmyadmin ne semble pas installé

Hors ligne

#93 Le 27/11/2017, à 16:07

kholo

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

bon, je reprend et fais les améliorations dans le post 1.
je vais d'abord parler d'une installation sur une installation fraîche.
le but de Ubuntu est de créer des méta paquets que, finalement,
on doit patcher pour avoir un fonctionnement optimal.

normalement on devrait faire :

sudo apt install apache2 php mysql phpmyadmin

et ensuite on devrait coder direct... lol
mais on doit ajouter des librairies oubliées dans les paquets mad

Le but de ce fil est de trouver une façon adaptée de monter Lamp
et elle l'était puisque j'annonce la 16.04 dans le titre !
maintenant les choses ont évolué, évoluons !

j'ai commencé et modifier la première occurrence 7.0 en 7.* :

sudo apt install libapache2-mod-php7.*

ça uniformisera l'évolution et peut être sera valable pour 18.04.

j'ai laissé la seconde

sudo apt install php-mbstring php7.0-mbstring php-gettext

qui, de toute façon, est optionnelle (en cas de soucis dans le méta paquet phpmyadmin)
mais on peut peut être mettre

sudo apt install php-mbstring php7.*-mbstring php-gettext

je vois ça en VM et je compléterai.
pour Louis je vois ça dans un prochain post.

Hors ligne

#94 Le 27/11/2017, à 16:28

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Bonjour kholo,
Tu ne m'as pas laissé le temps, mais en reprenant ton tuto avant modif et en lisant attentivement au lieu de copier/collé j'ai écris un à un les codes et j'ai réussi à installer "lamp" hier soir dans les résultats il n'y avait pas d'erreur, donc j'ai purgé le contenu de localhost en supprimant  les fichiers de test, je suis revenu sur localhost le dossier étant vide j'ai rajouté le contenu de "srv" et je l'ai transféré sur var/www/html, oui parce que srv est revenu et maintenant mon site fonctionne je suis donc en train de tester, je vais de ce pas indiquer que c'est RESOLU, je tiens à vous remercier tous, de votre patience et de vos bons conseils qui m'a permis d'y arriver

Hors ligne

#95 Le 27/11/2017, à 16:46

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

kholo a écrit :

j'ai commencé et modifier la première occurrence 7.0 en 7.* :

sudo apt install libapache2-mod-php7.*

ça uniformisera l'évolution et peut être sera valable pour 18.04.

je comprends pas pourquoi tu t'obstines à spécifier les numéros de versions.
en l'occurrence si quelqu'un a fait la bêtise d'ajouter un PPA comme celui d'Ondřej Surý (conseillé dans quasi 1 tuto sur 2 pour LAMP avec ubuntu), il installera toute les versions dispos, soit :
- libapache2-mod-php7.0
- libapache2-mod-php7.1
- libapache2-mod-php7.2
Je pense que personne n'a envie de faire ça, et ça va juste mettre un sacré b****l.


sudo apt install libapache2-mod-php

fera parfaitement le boulot dans tous les cas :

apt depends libapache2-mod-php
libapache2-mod-php
  Dépend: libapache2-mod-php7.0

//


kholo a écrit :
sudo apt install php-mbstring php7.0-mbstring php-gettext

là non plus je vois pas l'intérêt d'installer php-mbstring ET php7.0-mbstring :

apt depends php-mbstring
php-mbstring
  Dépend: php-common
  Dépend: php7.0-mbstring

en spécifiant les 2 on les marque en installation manuelle. et lors d'un upgrade majeur d'ubuntu (vers Arty par ex.), l'utilisateurs va se retrouver avec apt php7.1-mbstring (qui est une dépendance de php-mbstring sur Arty) ET php7.0-mbstring qui aura été marqué en installation manuelle et ne sera donc pas supprimé par apt autoremove.

Hors ligne

#96 Le 27/11/2017, à 16:46

kholo

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Faire le point lors d'un problème d'installation en suivant cette procédure ;
recréer un fichier de test :

    echo '<?php
       phpinfo();
    ?>' | sudo tee /var/www/html/test.php

puis de tester
http://127.0.0.1/test.php
si la page d'info s'affiche dans le navigateur, et
si je ne dis pas de bêtise, ça valide html et php.
en cas de doute ou de soucis :

sudo apt install apache2 php libapache2-mod-php7.*

ne peut pas faire de mal

pour mysql, pas de soucis de librairie ou de mauvaise configuration.
le problème de mot de passe est souvent rencontré
et des procédures sont indiquées y compris dans mon tuto :

tuto a écrit :

NB : Pour éviter le problème de mot de passe MySQL faites bien ceci en ligne de commande

pour phpmyadmin, lors de mes premiers tests je tombais sur une page blanche ce qui demande l'ajout à la main d'une librairie mais ce bug a été résolu.
ici une version passe partout du patch à utiliser :

sudo apt install php-mbstring php7.*-mbstring php-gettext

si vous avez déjà mis les mains dans moteur et touché à des fichiers de configuration, une désinstallation complète avec un purge (voir apt ou apt-get) devrait tout remettre à zéro et permettre une installation générique.

Pour cette histoire de 7.0, 7.1, et 7.x
une façon simple de savoir quel sont les paquets disponible dans les dépôts : avec apt search
NB à utiliser sans sudo !
donc
en VM

superutilisateur@VirtualBox:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.3 LTS
Release:	16.04
Codename:	xenial
superutilisateur@VirtualBox:~$ apt search libapache2 | grep lib | grep mod | grep php

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libapache2-mod-php/xenial,xenial 1:7.0+35ubuntu6 all
libapache2-mod-php7.0/xenial-updates,xenial-security,now 7.0.22-0ubuntu0.16.04.1 amd64  [installé]
superutilisateur@VirtualBox:~$ apt search php-mbstring
En train de trier... Fait
Recherche en texte intégral... Fait
php-mbstring/xenial,xenial,now 1:7.0+35ubuntu6 all  [installé]
  MBSTRING module for PHP [default]

superutilisateur@VirtualBox:~$ apt search php7.*-mbstring
En train de trier... Fait
Recherche en texte intégral... Fait
php7.0-mbstring/xenial-updates,xenial-security,now 7.0.22-0ubuntu0.16.04.1 amd64  [installé]
  MBSTRING module for PHP

@Louis23 content que ce fil soit utile. cool
j'espère que tu utilises le copier coller...
sinon triple clic sur une ligne puis copier avec ctrl + c
puis clic dans terminal (ou ctrl + alt +t pour l'ouvrir)
puis ctrl + maj + v pour coller
tongue

Hors ligne

#97 Le 27/11/2017, à 16:54

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

// crosspost, je t'invite à lire mon msg précédent au cas où

Hors ligne

#98 Le 27/11/2017, à 16:58

Louis23

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

Le #95

Hors ligne

#99 Le 27/11/2017, à 17:02

kholo

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

@krodelabestiole oui je suis !
j'ai repris le post #1 en suivant tes préconisations.
j'ai du coup adapté la procédure pour aller au plus simple...
merci pour ton suivi !

Hors ligne

#100 Le 27/11/2017, à 17:44

krodelabestiole

Re : [tuto]Installation Apache Mysql PHP phpmyadmin => LAMPP (+ vidéo)

kholo a écrit :
en cas de soucis a écrit :

ajouter ça pour que ça marche

sudo apt install libapache2-mod-php

ce paquet n'est pas toujours une option en particulier sur ubuntu.

en gros il y a plusieurs moyen d'utiliser PHP :
- en ligne de commande (php-cli)
- en FastCGI (php-fpm) ce qui est très optimisé et permet d'avoir des serveurs PHP et Apache indépendants (pas sur la même machine par ex.)
- en module d'apache (libapache2-mod-php) ce qui est la pratique la plus courante et la plus simple à mettre en place

comme le montre bruno :

bruno a écrit :

sur debian 9

$ apt depends php7.0
php7.0
 |Depends: libapache2-mod-php7.0
 |Depends: php7.0-fpm
  Depends: php7.0-cgi
  Depends: php7.0-common

sur Ubuntu 16.04

$ apt depends php7.0
php7.0
 |Dépend: php7.0-fpm
 |Dépend: libapache2-mod-php7.0
  Dépend: php7.0-cgi
  Dépend: php7.0-common (= 7.0.22-0ubuntu0.16.04.1)
  Est en conflit avec: <php5> (<< 5.6.16+dfsg-4~)

si on n'installe pas libapache2-mod-php avant ou en même temps que php, ubuntu installe php en FastCGI par défaut, au lieu du module d'apache (c'est le "bug" ou "mauvais choix" dont parle bruno)

donc pour une installation "standard" (et simple) il faut installer libapache2-mod-php en même temps que php :

sudo apt install libapache2-mod-php php

Dernière modification par krodelabestiole (Le 27/11/2017, à 17:50)

Hors ligne